/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.EmpresaEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaEquivalencia;
import com.rjconsultores.ventaboletos.service.EmpresaEquivalenciaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("empresaEquivalenciaService")
public class EmpresaEquivalenciaServiceImpl implements EmpresaEquivalenciaService {

    @Autowired
    private EmpresaEquivalenciaDAO empresaEquivalenciaDAO;

    public List<EmpresaEquivalencia> obtenerTodos() {
        return empresaEquivalenciaDAO.obtenerTodos();
    }

    public EmpresaEquivalencia obtenerID(Integer id) {
        return empresaEquivalenciaDAO.obtenerID(id);
    }

    @Transactional
    public EmpresaEquivalencia suscribir(EmpresaEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return empresaEquivalenciaDAO.suscribir(entidad);
    }

    @Transactional
    public EmpresaEquivalencia actualizacion(EmpresaEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return empresaEquivalenciaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(EmpresaEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        empresaEquivalenciaDAO.actualizacion(entidad);
    }

    public List<EmpresaEquivalencia> buscar(Empresa empresa, ComisionistaExterno comisionistaExterno) {
        return empresaEquivalenciaDAO.buscar(empresa, comisionistaExterno);
    }

    public List<EmpresaEquivalencia> buscarEquivalencia(EmpresaEquivalencia empresaEquivalencia) {
        return empresaEquivalenciaDAO.buscar(empresaEquivalencia);
    }
}
